/Users/bernard/b20/bsoft/src/rwmol/rwmol_text.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwmol/rwmol_text.cpp - Library routines to read and write molecule files in plain text.

SYNOPSIS

#include 'rwmolecule.h'
#include 'utilities.h'
#include <fstream>

  Functions
int read_mol_text (Bstring &filename, Bmolgroup *molgroup)
Reads a molecule group from a text file.
int write_mol_text (Bstring &filename, Bmolgroup *molgroup)
Writes a molecule group to a text file.

  Variables
int verbose

Detailed Description

Library routines to read and write molecule files in plain text.

Author:
    Bernard Heymann

Date:
    Created: 20050419

    Modified: 20120211

Definition in file rwmol_text.cpp.

Function Documentation

  int read_mol_text (Bstring & filename, Bmolgroup * molgroup)

Reads a molecule group from a text file.

Parameters:
    &filename the file name.
    *molgroup the molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

Definition at line 22 of file rwmol_text.cpp.

  int write_mol_text (Bstring & filename, Bmolgroup * molgroup)

Writes a molecule group to a text file.

Parameters:
    &filename the file name.
    *molgroup the molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

Definition at line 75 of file rwmol_text.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.